import '../../../common/routing/routes.dart';
import 'models/benchmark.dart';

final List<Benchmark> benchmarksList = [
  Benchmark(
    title: 'Flame Sprite Rendering',
    desc: 'Tests how many sprites can be renderer without a frame drop.',
    route: RoutesBenchmark.sprites,
  ),
  Benchmark(
    title: 'Rogue Shooter Benchmark',
    desc:
        'A simple scrolling shooter game which is used by the Flame Engines team for testing the performance of Flame.',
    route: RoutesBenchmark.rogueShooter,
  ),
  Benchmark(
    title: 'VSync Test',
    desc: 'Tests if the VSync is working properly with a fragment shader.',
    route: RoutesBenchmark.shader,
  ),
  Benchmark(
    title: 'Video Benchmark',
    desc: 'Video Player demo.',
    route: RoutesBenchmark.video,
  ),
  Benchmark(
    title: 'Simple Tiles Map Benchmark',
    desc: 'Map demo.',
    route: RoutesBenchmark.map,
  ),
];
